﻿using Hi.Geom;
using System;

namespace Sample.Geom
{
    /// <summary>
    /// Demonstrates how to create and calculate bounding boxes for different geometric objects.
    /// Shows the use of Box3d to encompass multiple geometric elements with a single boundary.
    /// </summary>
    /// <remarks>
    /// ### Source Code
    /// [!code-csharp[SampleCode](~/../Hi.Sample/Geom/DemoIExpandToBox3d.cs)]
    /// </remarks>
    public static class DemoIExpandToBox3d
	{
		static void Main()
		{
			#region DocSite.CountBoundingBox
			Box3d objA = new Box3d(0, 0, 0, 1, 1, 1);
			Box3d objB = new Box3d(-1, -2, -3, 3, 2, 1);
			Vec3d objC = new Vec3d(-2, 3, -5);

			Box3d boundingbox = new Box3d(objA, objB, objC);
			Console.WriteLine("boundingbox: " + boundingbox);
			#endregion
		}
	}
}
